%define ver 2.1.8.6b5

Summary: inetd replacement (internet super-server)
Name: xinetd
Version: %{ver}
Release: 1
Copyright: Distributable
Group: System Environment/Daemons
Source: http://synack.net/xinetd/xinetd-%{ver}.tar.gz
Source1: xinetd.init
Patch: xinetd-optflags.patch
Provides: inetd
Prereq: /sbin/chkconfig
URL: http://synack.net/xinetd/
BuildRoot: /var/tmp/xinetd-root
%description
xinetd is a powerful replacement for inetd.
xinetd has access control machanisms, extensive logging capabilities,
the ability to make services available based on time, and can place
limits on the number of servers that can be started, among other things.

%prep
%setup -n xinetd-%{ver}
%patch -p1 -b .optflags
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-libwrap
CFLAGS="$RPM_OPT_FLAGS" make DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man1,man/man5,man/man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d
make PREFIX=$RPM_BUILD_ROOT/usr install
install -m 755 xinetd/itox $RPM_BUILD_ROOT/usr/sbin
install -m 755 xinetd/sample.conf $RPM_BUILD_ROOT/etc/xinetd.conf-sample
install -m 755 $RPM_SOURCE_DIR/xinetd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/xinetd

ln -fs ../init.d/xinetd $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K50xinetd
ln -fs ../init.d/xinetd $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K50xinetd
ln -fs ../init.d/xinetd $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K50xinetd
ln -fs ../init.d/xinetd $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S50xinetd
ln -fs ../init.d/xinetd $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S50xinetd
ln -fs ../init.d/xinetd $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K50xinetd

strip $RPM_BUILD_ROOT/usr/sbin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add xinetd
fi

%postun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del xinetd
fi

%files
%defattr(-,root,root)
%doc INSTALL xinetd/CHANGELOG xinetd/COPYRIGHT README
/etc/xinetd.conf-sample
/usr/sbin/xinetd
/usr/sbin/itox
/usr/man/man5/xinetd.conf.5
/usr/man/man8/xinetd.8
/usr/man/man8/xinetd.log.8
%config /etc/rc.d/init.d/xinetd
%config(missingok) /etc/rc.d/rc0.d/K50xinetd
%config(missingok) /etc/rc.d/rc1.d/K50xinetd
%config(missingok) /etc/rc.d/rc2.d/K50xinetd
%config(missingok) /etc/rc.d/rc3.d/S50xinetd
%config(missingok) /etc/rc.d/rc5.d/S50xinetd
%config(missingok) /etc/rc.d/rc6.d/K50xinetd

%changelog
* Mon Apr 26 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.8.6b5
- build for PowerTools

* Mon Jan 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1.8.5p2

* Tue Dec  1 1998 Bill Nottingham <notting@redhat.com>
- intial build
